KintsugiKintsugi
API reference / Upload registration attachment

Upload registration attachment

POST/v1/registrations/{registration_id}/attachments

Upload an attachment for a specific registration.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

Path parameters

registration_idstringRequired

Response

idstring
created_atstring

Timestamp when transaction was created in Kintsugi.

updated_atstring

Timestamp when transaction was last updated.

related_entity_idstringRequired

The unique identifier of the exemption associated with the attachment.

related_entity_typeRelatedEntityTypeRequired

The type of entity associated with the attachment. In this case, it will always be EXEMPTION, REGISTRATION ,FILING, FILING_PAYMENT.

Available options:EXEMPTIONREGISTRATIONFILINGFILING_PAYMENT
organization_idstringRequired
file_namestringRequired
mime_typestringRequired
file_size_bytesintegerRequired
file_locationstringRequired
file_location_typeAttachmentLocationTypeRequired
Available options:S3LOCAL
200

Successful Response

422

Validation Error

cURL
POST /v1/registrations/{registration_id}/attachments
-H "x-api-key: ***"
Example request
https://api.trykintsugi.com/v1/registrations/{registration_id}/attachments
Response
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"related_entity_id": "string",
"related_entity_type": "EXEMPTION",
"organization_id": "string",
"file_name": "string",
"mime_type": "string",
"file_size_bytes": 0,
"file_location": "string",
"file_location_type": "S3"
}